FreeMat

- Main Page
- Related Pages

vtkSpherePuzzle

Section: Visualization Toolkit Graphics Classes

# Usage

vtkSpherePuzzle creates

To create an instance of class vtkSpherePuzzle, simply invoke its constructor as follows

      obj = vtkSpherePuzzle

# Methods

The class vtkSpherePuzzle has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSpherePuzzle class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSpherePuzzle = obj.NewInstance ()`
- `vtkSpherePuzzle = obj.SafeDownCast (vtkObject o)`
- `obj.Reset ()` - Reset the state of this puzzle back to its original state.
- `obj.MoveHorizontal (int section, int percentage, int rightFlag)` - Move the top/bottom half one segment either direction.
- `obj.MoveVertical (int section, int percentage, int rightFlag)` - Rotate vertical half of sphere along one of the longitude lines.
- `int = obj.SetPoint (double x, double y, double z)` - SetPoint will be called as the mouse moves over the screen. The output will change to indicate the pending move. SetPoint returns zero if move is not activated by point. Otherwise it encodes the move into a unique integer so that the caller can determine if the move state has changed. This will answer the question, "Should I render."
- `obj.MovePoint (int percentage)` - Move actually implements the pending move. When percentage is 100, the pending move becomes inactive, and SetPoint will have to be called again to setup another move.